Consenso all'uso dei cookies

SITO1 -- SITO2 -- Forum2 -- CercaGlobale -- Informativa su Cookie e Privacy

Questo Forum1 è in sola lettura -- Usa il Forum2


Valutazione discussione:
  • 0 voto(i) - 0 media
  • 1
  • 2
  • 3
  • 4
  • 5
AMD Catalyst 13.1 per Linux: supporto per tutte le schede ATI Radeon HD
#1
La maggior parte dei pc venduti con schede grafiche AMD da parecchi anni a questa parte contenevano le schede della serie Radeon HD. Gli ultimi drivers, da circa 10 mesi, snobbavano bellamente le schede meno recenti, costringendo così gli utenti di distro come ubuntu 12.10 e Linux Mint 14 ad usare usare i driver open (con consumi energetici elevati, sconsigliatissimi per i portatili) oppure a cambiar distro!

Fortunatamente i driver 13.1, da poco rilasciati, supportano tali schede, anche se non vanno molto d'accordo con le nuove versioni di Xorg.

Per quel che concerne Ubuntu&derivate, il problema non si pone sulla LTS 12.04, mentre su Ubuntu 12.10 il discorso è diverso.

Tuttavia un utente del Forum (cataldo, che ringrazio) mi segnalò tempo fa un PPA che permetteva l'installazione di vecchi driver anche su Ubuntu 12.10. Ora questo PPA ha ricevuto l'aggiornamento ai driver 13.1, che ho testato e sono ben funzionanti, sia su Ubuntu 12.04 che su Ubuntu 12.10, sia su nuove schede che su vecchie.

Dunque ho realizzato una guida per aiutare chi è meno esperto a scegliere che installazione effettuare e di quali driver:
http://ubuntufast.blogspot.it/2013/01/ub...r-amd.html
Cita messaggio
#2
Matteo si possono porvare anche sulla 12.04???
Cita messaggio
#3
Io li ho installati senza problemi su Kubuntu 12.04, va detto che ho una scheda più recente della tua. Dal sito della AMD leggo che gli ultimi Legacy sono i 13.1, poi i 12.6...
Cita messaggio
#4
Ho aggiunto il ppa ma non mi trova il pacchetto legacy ... credo proprio che ubuntu abbia abbandonato la mia scheda.
ieri ho ricevuto un aggiornamento ai precedenti fglrx-updates ed ora non si avviano più.

Devo tenermi gli open??? Mi sa che dovrò cambiare distro
Cita messaggio
#5
(27-01-2013, 14:33 )tumbler Ha scritto: Ho aggiunto il ppa ma non mi trova il pacchetto legacy ... credo proprio che ubuntu abbia abbandonato la mia scheda.
ieri ho ricevuto un aggiornamento ai precedenti fglrx-updates ed ora non si avviano più.

Devo tenermi gli open??? Mi sa che dovrò cambiare distro

quel ppa funziona solo su Ubuntu 12.10 e derivate, non sulla 12.04. Tuttavia sulla 12.04 non ci dovrebbe proprio essere bisogno di quel PPA, perchè l'incompatibilità con Xorg non dovrebbe esserci.

L'aggiornamento a fglrx-updates dev'essere proprio stato quello dai 12.6 ai 13.1... proprio perchè io 13.1 sono gli unici, dopo un po' di mesi a supportare anche le vecchie schede. Purtroppo non riesco a capire come mai tu abbia questo problema. Puoi comunque scaricare i vecchi 12.4 o 12.6, che sicuramente vanno bene per Precise Pangolin e per la tua distro.
Cita messaggio
#6
Dal sito della AMD non riesco più atrovare i 12.4 ... ho provato a selezionare varie schede anche più vecchie della mia ma propone sempre i 13.1

Ho scaricato questi ultimi ed ho lanciato nel terminale il file .run ... sembra confermare l'integrità del file ... tenta di scompattarlo ... mi crea una cartella di nome fglrx-legacy .... ma poi abortisce l'installazione ... si chiude il terminale e mi cancella la cartella creta.

Sembra proprio vi sia un bug o un segno del destino Big Grin

EDIT:alla fine son riuscito ad installare i 13.1 scaricati dal sito dell'AMD ... nonostante il .run si avviasse correttamente ma non andava a buon fine è stato sufficiente dare un chmod +x al file e si è installato correttamente.
Missione compiuta
Cita messaggio
#7
ottimo! interessante comunque notare che gli fglrx-updates dai repo ufficiali di Ubuntu si sono aggiornati all'ultima versione rilasciata dei driver AMD... Evidentemente li aggiornano ogni qual volta vengono rilasciati dei driver che funzionino su tutte le schede della serie HD, dato che i precedenti driver (12.8, 12.10, 12.12) non sono invece comparsi nei repo.
Cita messaggio
#8
(27-01-2013, 17:38 )Matteo Ha scritto: ottimo! interessante comunque notare che gli fglrx-updates dai repo ufficiali di Ubuntu si sono aggiornati all'ultima versione rilasciata dei driver AMD... Evidentemente li aggiornano ogni qual volta vengono rilasciati dei driver che funzionino su tutte le schede della serie HD, dato che i precedenti driver (12.8, 12.10, 12.12) non sono invece comparsi nei repo.
Questa mi sembra una scelta intelligente per evitare di lasciare a piedi qualcuno ... rilasciano solo quelli compatibili con tutte le schede.

Peccato che io (ma ho motivo di credere che anche altri) pur aggiornando il pacchetto fglrx-updates ... al riavvio partivo con gli open.

Se serve come indicazione è sufficiente installare quelli direttamente dal sito ... così evito di avere ulteriori aggiornamenti farlocchi Wink
Cita messaggio
#9
magari gli fglrx-updates sono stati sottoposti a un opera di bugfix, e quindi una volta installati potrebbero dare qualche vantaggio rispetto ai driver generici che si trovano sul sito ufficiale. Però è anche vero che io non ho mai avuto problemi ad installare i driver dal sito AMD, mentre ne ho avuti un infinità quando cercavo di installarli con Driver Aggiuntivi. In fin dei conti, credo che come hai fatto tu sia la cosa migliore.
Cita messaggio
#10
Fosse per me Jockey (anche conosciuto come driver aggiuntivi) lo abolirei ... anche io ho avuto sempre e solo casini ... non so se sia stata la cosa migliore che ho fatto ... ma so che era l'unica dal momento che i fglrx e i fglrx-updates non si attivavano e gli open riscaldano come un fornetto elettrico.

EDIT: Mi rimane ancora da capire come mai su le altre due distro (debian testing wheezy & Mageia 3 beta 2) i driver open vanno un amore e su ubuntu (nella sua verde sfumatura di MINT) debba per forza utilizzare i proprietari
Cita messaggio


Vai al forum:


Utenti che stanno guardando questa discussione: 1 Ospite(i)